diff --git a/src/main/java/net/minecraft/core/net/entity/entries/EggNetEntry.java b/src/main/java/net/minecraft/core/net/entity/entries/EggNetEntry.java
index 0f28b1408..ada44ecc5 100644
--- a/src/main/java/net/minecraft/core/net/entity/entries/EggNetEntry.java
+++ b/src/main/java/net/minecraft/core/net/entity/entries/EggNetEntry.java
@@ -1,20 +1,19 @@
 package net.minecraft.core.net.entity.entries;
 
 import net.minecraft.core.entity.Entity;
-import net.minecraft.core.entity.projectile.EntityEgg;
+import net.minecraft.core.entity.projectile.EggProjectile;
 import net.minecraft.core.net.entity.ITrackedEntry;
 import net.minecraft.core.net.entity.IVehicleEntry;
-import net.minecraft.core.net.packet.Packet;
-import net.minecraft.core.net.packet.Packet23VehicleSpawn;
+import net.minecraft.core.net.packet.AddEntityPacket;
 import net.minecraft.core.world.World;
 import net.minecraft.server.entity.EntityTracker;
 import net.minecraft.server.entity.EntityTrackerEntry;
 import org.jetbrains.annotations.NotNull;
 
-public class EggNetEntry implements IVehicleEntry<EntityEgg>, ITrackedEntry<EntityEgg> {
+public class EggNetEntry implements IVehicleEntry<EggProjectile>, ITrackedEntry<EggProjectile> {
     @Override
-    public @NotNull Class<EntityEgg> getAppliedClass() {
-        return EntityEgg.class;
+    public @NotNull Class<EggProjectile> getAppliedClass() {
+        return EggProjectile.class;
     }
 
     @Override
@@ -33,17 +32,17 @@ public class EggNetEntry implements IVehicleEntry<EntityEgg>, ITrackedEntry<Enti
     }
 
     @Override
-    public void onEntityTracked(EntityTracker tracker, EntityTrackerEntry trackerEntry, EntityEgg trackedObject) {
+    public void onEntityTracked(EntityTracker tracker, EntityTrackerEntry trackerEntry, EggProjectile trackedObject) {
 
     }
 
     @Override
     public Entity getEntity(World world, double x, double y, double z, int metadata, boolean hasVelocity, double xd, double yd, double zd, Entity owner) {
-        return new EntityEgg(world, x, y, z);
+        return new EggProjectile(world, x, y, z);
     }
 
     @Override
-    public Packet23VehicleSpawn getSpawnPacket(EntityTrackerEntry tracker, EntityEgg trackedObject) {
-        return new Packet23VehicleSpawn(trackedObject);
+    public AddEntityPacket getSpawnPacket(EntityTrackerEntry tracker, EggProjectile trackedObject) {
+        return new AddEntityPacket(trackedObject);
     }
 }
diff --git a/src/main/java/net/minecraft/core/net/entity/entries/FallingSandNetEntry.java b/src/main/java/net/minecraft/core/net/entity/entries/FallingSandNetEntry.java
index c7368b4d2..640492592 100644
--- a/src/main/java/net/minecraft/core/net/entity/entries/FallingSandNetEntry.java
+++ b/src/main/java/net/minecraft/core/net/entity/entries/FallingSandNetEntry.java
@@ -2,21 +2,20 @@ package net.minecraft.core.net.entity.entries;
 
 import net.minecraft.core.block.Block;
 import net.minecraft.core.entity.Entity;
-import net.minecraft.core.entity.EntityFallingSand;
+import net.minecraft.core.entity.FallingBlockEntity;
 import net.minecraft.core.net.entity.ITrackedEntry;
 import net.minecraft.core.net.entity.IVehicleEntry;
-import net.minecraft.core.net.packet.Packet;
-import net.minecraft.core.net.packet.Packet23VehicleSpawn;
+import net.minecraft.core.net.packet.AddEntityPacket;
 import net.minecraft.core.util.helper.MathHelper;
 import net.minecraft.core.world.World;
 import net.minecraft.server.entity.EntityTracker;
 import net.minecraft.server.entity.EntityTrackerEntry;
 import org.jetbrains.annotations.NotNull;
 
-public class FallingSandNetEntry implements IVehicleEntry<EntityFallingSand>, ITrackedEntry<EntityFallingSand> {
+public class FallingSandNetEntry implements IVehicleEntry<FallingBlockEntity>, ITrackedEntry<FallingBlockEntity> {
     @Override
-    public @NotNull Class<EntityFallingSand> getAppliedClass() {
-        return EntityFallingSand.class;
+    public @NotNull Class<FallingBlockEntity> getAppliedClass() {
+        return FallingBlockEntity.class;
     }
 
     @Override
@@ -35,17 +34,17 @@ public class FallingSandNetEntry implements IVehicleEntry<EntityFallingSand>, IT
     }
 
     @Override
-    public void onEntityTracked(EntityTracker tracker, EntityTrackerEntry trackerEntry, EntityFallingSand trackedObject) {
+    public void onEntityTracked(EntityTracker tracker, EntityTrackerEntry trackerEntry, FallingBlockEntity trackedObject) {
 
     }
 
     @Override
     public Entity getEntity(World world, double x, double y, double z, int metadata, boolean hasVelocity, double xd, double yd, double zd, Entity owner) {
-        return new EntityFallingSand(world, x, y, z, MathHelper.clamp(metadata, 0, Block.blocksList.length));
+        return new FallingBlockEntity(world, x, y, z, MathHelper.clamp(metadata, 0, Block.blocksList.length));
     }
 
     @Override
-    public Packet23VehicleSpawn getSpawnPacket(EntityTrackerEntry tracker, EntityFallingSand trackedObject) {
-        return new Packet23VehicleSpawn(trackedObject, trackedObject.blockID);
+    public AddEntityPacket getSpawnPacket(EntityTrackerEntry tracker, FallingBlockEntity trackedObject) {
+        return new AddEntityPacket(trackedObject, trackedObject.blockID);
     }
 }
diff --git a/src/main/java/net/minecraft/core/net/entity/entries/FireballNetEntry.java b/src/main/java/net/minecraft/core/net/entity/entries/FireballNetEntry.java
index 879fdf2b3..1efec894c 100644
--- a/src/main/java/net/minecraft/core/net/entity/entries/FireballNetEntry.java
+++ b/src/main/java/net/minecraft/core/net/entity/entries/FireballNetEntry.java
@@ -1,20 +1,19 @@
 package net.minecraft.core.net.entity.entries;
 
 import net.minecraft.core.entity.Entity;
-import net.minecraft.core.entity.projectile.EntityFireball;
+import net.minecraft.core.entity.projectile.FireballProjectile;
 import net.minecraft.core.net.entity.ITrackedEntry;
 import net.minecraft.core.net.entity.IVehicleEntry;
-import net.minecraft.core.net.packet.Packet;
-import net.minecraft.core.net.packet.Packet23VehicleSpawn;
+import net.minecraft.core.net.packet.AddEntityPacket;
 import net.minecraft.core.world.World;
 import net.minecraft.server.entity.EntityTracker;
 import net.minecraft.server.entity.EntityTrackerEntry;
 import org.jetbrains.annotations.NotNull;
 
-public class FireballNetEntry implements IVehicleEntry<EntityFireball>, ITrackedEntry<EntityFireball> {
+public class FireballNetEntry implements IVehicleEntry<FireballProjectile>, ITrackedEntry<FireballProjectile> {
     @Override
-    public @NotNull Class<EntityFireball> getAppliedClass() {
-        return EntityFireball.class;
+    public @NotNull Class<FireballProjectile> getAppliedClass() {
+        return FireballProjectile.class;
     }
 
     @Override
@@ -33,17 +32,17 @@ public class FireballNetEntry implements IVehicleEntry<EntityFireball>, ITracked
     }
 
     @Override
-    public void onEntityTracked(EntityTracker tracker, EntityTrackerEntry trackerEntry, EntityFireball trackedObject) {
+    public void onEntityTracked(EntityTracker tracker, EntityTrackerEntry trackerEntry, FireballProjectile trackedObject) {
 
     }
 
     @Override
     public Entity getEntity(World world, double x, double y, double z, int metadata, boolean hasVelocity, double xd, double yd, double zd, Entity owner) {
-        return new EntityFireball(world, x, y, z, xd, yd, zd);
+        return new FireballProjectile(world, x, y, z, xd, yd, zd);
     }
 
     @Override
-    public Packet23VehicleSpawn getSpawnPacket(EntityTrackerEntry tracker, EntityFireball trackedObject) {
-        return new Packet23VehicleSpawn(trackedObject, -1, -1, trackedObject.accelX, trackedObject.accelY, trackedObject.accelZ);
+    public AddEntityPacket getSpawnPacket(EntityTrackerEntry tracker, FireballProjectile trackedObject) {
+        return new AddEntityPacket(trackedObject, -1, -1, trackedObject.xPower, trackedObject.yPower, trackedObject.zPower);
     }
 }
diff --git a/src/main/java/net/minecraft/core/net/entity/entries/FireflyNetEntry.java b/src/main/java/net/minecraft/core/net/entity/entries/FireflyNetEntry.java
index e1eacd0dd..73f14b243 100644
--- a/src/main/java/net/minecraft/core/net/entity/entries/FireflyNetEntry.java
+++ b/src/main/java/net/minecraft/core/net/entity/entries/FireflyNetEntry.java
@@ -1,12 +1,12 @@
 package net.minecraft.core.net.entity.entries;
 
-import net.minecraft.core.entity.animal.EntityFireflyCluster;
+import net.minecraft.core.entity.animal.FireflyClusterMob;
 import org.jetbrains.annotations.NotNull;
 
-public class FireflyNetEntry extends AnimalNetEntry<EntityFireflyCluster>{
+public class FireflyNetEntry extends AnimalNetEntry<FireflyClusterMob>{
     @Override
-    public @NotNull Class<EntityFireflyCluster> getAppliedClass() {
-        return EntityFireflyCluster.class;
+    public @NotNull Class<FireflyClusterMob> getAppliedClass() {
+        return FireflyClusterMob.class;
     }
     @Override
     public int getPacketDelay() {
diff --git a/src/main/java/net/minecraft/core/net/entity/entries/ItemNetEntry.java b/src/main/java/net/minecraft/core/net/entity/entries/ItemNetEntry.java
index 6bf51138d..5932262a1 100644
--- a/src/main/java/net/minecraft/core/net/entity/entries/ItemNetEntry.java
+++ b/src/main/java/net/minecraft/core/net/entity/entries/ItemNetEntry.java
@@ -1,18 +1,18 @@
 package net.minecraft.core.net.entity.entries;
 
-import net.minecraft.core.entity.EntityItem;
+import net.minecraft.core.entity.ItemEntity;
 import net.minecraft.core.net.entity.IPacketEntry;
 import net.minecraft.core.net.entity.ITrackedEntry;
 import net.minecraft.core.net.packet.Packet;
-import net.minecraft.core.net.packet.Packet21PickupSpawn;
+import net.minecraft.core.net.packet.AddItemEntityPacket;
 import net.minecraft.server.entity.EntityTracker;
 import net.minecraft.server.entity.EntityTrackerEntry;
 import org.jetbrains.annotations.NotNull;
 
-public class ItemNetEntry implements IPacketEntry<EntityItem>, ITrackedEntry<EntityItem> {
+public class ItemNetEntry implements IPacketEntry<ItemEntity>, ITrackedEntry<ItemEntity> {
     @Override
-    public @NotNull Class<EntityItem> getAppliedClass() {
-        return EntityItem.class;
+    public @NotNull Class<ItemEntity> getAppliedClass() {
+        return ItemEntity.class;
     }
 
     @Override
@@ -31,16 +31,16 @@ public class ItemNetEntry implements IPacketEntry<EntityItem>, ITrackedEntry<Ent
     }
 
     @Override
-    public void onEntityTracked(EntityTracker tracker, EntityTrackerEntry trackerEntry, EntityItem trackedObject) {
+    public void onEntityTracked(EntityTracker tracker, EntityTrackerEntry trackerEntry, ItemEntity trackedObject) {
 
     }
 
     @Override
-    public Packet getSpawnPacket(EntityTrackerEntry tracker, EntityItem trackedObject) {
-        Packet21PickupSpawn packet21pickupspawn = new Packet21PickupSpawn(trackedObject);
-        trackedObject.x = packet21pickupspawn.xPosition / 32D;
-        trackedObject.y = packet21pickupspawn.yPosition / 32D;
-        trackedObject.z = packet21pickupspawn.zPosition / 32D;
-        return packet21pickupspawn;
+    public Packet getSpawnPacket(EntityTrackerEntry tracker, ItemEntity trackedObject) {
+        AddItemEntityPacket addItemEntityPacket21Pickupspawn = new AddItemEntityPacket(trackedObject);
+        trackedObject.x = addItemEntityPacket21Pickupspawn.xPosition / 32D;
+        trackedObject.y = addItemEntityPacket21Pickupspawn.yPosition / 32D;
+        trackedObject.z = addItemEntityPacket21Pickupspawn.zPosition / 32D;
+        return addItemEntityPacket21Pickupspawn;
     }
 }
diff --git a/src/main/java/net/minecraft/core/net/entity/entries/MinecartNetEntry.java b/src/main/java/net/minecraft/core/net/entity/entries/MinecartNetEntry.java
index cbbb7ae7c..32ed74a76 100644
--- a/src/main/java/net/minecraft/core/net/entity/entries/MinecartNetEntry.java
+++ b/src/main/java/net/minecraft/core/net/entity/entries/MinecartNetEntry.java
@@ -1,20 +1,19 @@
 package net.minecraft.core.net.entity.entries;
 
 import net.minecraft.core.entity.Entity;
-import net.minecraft.core.entity.vehicle.EntityMinecart;
+import net.minecraft.core.entity.vehicle.MinecartEntity;
 import net.minecraft.core.net.entity.ITrackedEntry;
 import net.minecraft.core.net.entity.IVehicleEntry;
-import net.minecraft.core.net.packet.Packet;
-import net.minecraft.core.net.packet.Packet23VehicleSpawn;
+import net.minecraft.core.net.packet.AddEntityPacket;
 import net.minecraft.core.world.World;
 import net.minecraft.server.entity.EntityTracker;
 import net.minecraft.server.entity.EntityTrackerEntry;
 import org.jetbrains.annotations.NotNull;
 
-public class MinecartNetEntry implements IVehicleEntry<EntityMinecart>, ITrackedEntry<EntityMinecart> {
+public class MinecartNetEntry implements IVehicleEntry<MinecartEntity>, ITrackedEntry<MinecartEntity> {
     @Override
-    public @NotNull Class<EntityMinecart> getAppliedClass() {
-        return EntityMinecart.class;
+    public @NotNull Class<MinecartEntity> getAppliedClass() {
+        return MinecartEntity.class;
     }
 
     @Override
@@ -33,17 +32,17 @@ public class MinecartNetEntry implements IVehicleEntry<EntityMinecart>, ITracked
     }
 
     @Override
-    public void onEntityTracked(EntityTracker tracker, EntityTrackerEntry trackerEntry, EntityMinecart trackedObject) {
+    public void onEntityTracked(EntityTracker tracker, EntityTrackerEntry trackerEntry, MinecartEntity trackedObject) {
 
     }
 
     @Override
     public Entity getEntity(World world, double x, double y, double z, int metadata, boolean hasVelocity, double xd, double yd, double zd, Entity owner) {
-        return new EntityMinecart(world, x, y, z, metadata);
+        return new MinecartEntity(world, x, y, z, metadata);
     }
 
     @Override
-    public Packet23VehicleSpawn getSpawnPacket(EntityTrackerEntry tracker, EntityMinecart trackedObject) {
-        return new Packet23VehicleSpawn(trackedObject, trackedObject.minecartType);
+    public AddEntityPacket getSpawnPacket(EntityTrackerEntry tracker, MinecartEntity trackedObject) {
+        return new AddEntityPacket(trackedObject, trackedObject.type);
     }
 }
diff --git a/src/main/java/net/minecraft/core/net/entity/entries/PaintingNetEntry.java b/src/main/java/net/minecraft/core/net/entity/entries/PaintingNetEntry.java
index 9f3994db1..cfbced100 100644
--- a/src/main/java/net/minecraft/core/net/entity/entries/PaintingNetEntry.java
+++ b/src/main/java/net/minecraft/core/net/entity/entries/PaintingNetEntry.java
@@ -1,18 +1,18 @@
 package net.minecraft.core.net.entity.entries;
 
-import net.minecraft.core.entity.EntityPainting;
+import net.minecraft.core.entity.PaintingEntity;
 import net.minecraft.core.net.entity.IPacketEntry;
 import net.minecraft.core.net.entity.ITrackedEntry;
 import net.minecraft.core.net.packet.Packet;
-import net.minecraft.core.net.packet.Packet25EntityPainting;
+import net.minecraft.core.net.packet.AddPaintingPacket;
 import net.minecraft.server.entity.EntityTracker;
 import net.minecraft.server.entity.EntityTrackerEntry;
 import org.jetbrains.annotations.NotNull;
 
-public class PaintingNetEntry implements IPacketEntry<EntityPainting>, ITrackedEntry<EntityPainting> {
+public class PaintingNetEntry implements IPacketEntry<PaintingEntity>, ITrackedEntry<PaintingEntity> {
     @Override
-    public @NotNull Class<EntityPainting> getAppliedClass() {
-        return EntityPainting.class;
+    public @NotNull Class<PaintingEntity> getAppliedClass() {
+        return PaintingEntity.class;
     }
 
     @Override
@@ -31,12 +31,12 @@ public class PaintingNetEntry implements IPacketEntry<EntityPainting>, ITrackedE
     }
 
     @Override
-    public void onEntityTracked(EntityTracker tracker, EntityTrackerEntry trackerEntry, EntityPainting trackedObject) {
+    public void onEntityTracked(EntityTracker tracker, EntityTrackerEntry trackerEntry, PaintingEntity trackedObject) {
 
     }
 
     @Override
-    public Packet getSpawnPacket(EntityTrackerEntry tracker, EntityPainting trackedObject) {
-        return new Packet25EntityPainting(trackedObject);
+    public Packet getSpawnPacket(EntityTrackerEntry tracker, PaintingEntity trackedObject) {
+        return new AddPaintingPacket(trackedObject);
     }
 }
diff --git a/src/main/java/net/minecraft/core/net/entity/entries/PebbleEntry.java b/src/main/java/net/minecraft/core/net/entity/entries/PebbleEntry.java
index 342911034..fc2315521 100644
--- a/src/main/java/net/minecraft/core/net/entity/entries/PebbleEntry.java
+++ b/src/main/java/net/minecraft/core/net/entity/entries/PebbleEntry.java
@@ -1,20 +1,19 @@
 package net.minecraft.core.net.entity.entries;
 
 import net.minecraft.core.entity.Entity;
-import net.minecraft.core.entity.projectile.EntityPebble;
+import net.minecraft.core.entity.projectile.PebbleProjectile;
 import net.minecraft.core.net.entity.ITrackedEntry;
 import net.minecraft.core.net.entity.IVehicleEntry;
-import net.minecraft.core.net.packet.Packet;
-import net.minecraft.core.net.packet.Packet23VehicleSpawn;
+import net.minecraft.core.net.packet.AddEntityPacket;
 import net.minecraft.core.world.World;
 import net.minecraft.server.entity.EntityTracker;
 import net.minecraft.server.entity.EntityTrackerEntry;
 import org.jetbrains.annotations.NotNull;
 
-public class PebbleEntry implements IVehicleEntry<EntityPebble>, ITrackedEntry<EntityPebble> {
+public class PebbleEntry implements IVehicleEntry<PebbleProjectile>, ITrackedEntry<PebbleProjectile> {
     @Override
-    public @NotNull Class<EntityPebble> getAppliedClass() {
-        return EntityPebble.class;
+    public @NotNull Class<PebbleProjectile> getAppliedClass() {
+        return PebbleProjectile.class;
     }
 
     @Override
@@ -33,17 +32,17 @@ public class PebbleEntry implements IVehicleEntry<EntityPebble>, ITrackedEntry<E
     }
 
     @Override
-    public void onEntityTracked(EntityTracker tracker, EntityTrackerEntry trackerEntry, EntityPebble trackedObject) {
+    public void onEntityTracked(EntityTracker tracker, EntityTrackerEntry trackerEntry, PebbleProjectile trackedObject) {
 
     }
 
     @Override
     public Entity getEntity(World world, double x, double y, double z, int metadata, boolean hasVelocity, double xd, double yd, double zd, Entity owner) {
-        return new EntityPebble(world, x, y, z);
+        return new PebbleProjectile(world, x, y, z);
     }
 
     @Override
-    public Packet23VehicleSpawn getSpawnPacket(EntityTrackerEntry tracker, EntityPebble trackedObject) {
-        return new Packet23VehicleSpawn(trackedObject);
+    public AddEntityPacket getSpawnPacket(EntityTrackerEntry tracker, PebbleProjectile trackedObject) {
+        return new AddEntityPacket(trackedObject);
     }
 }
diff --git a/src/main/java/net/minecraft/core/net/entity/entries/PlayerMPNetEntry.java b/src/main/java/net/minecraft/core/net/entity/entries/PlayerMPNetEntry.java
index 092ecd0cb..1576f2d51 100644
--- a/src/main/java/net/minecraft/core/net/entity/entries/PlayerMPNetEntry.java
+++ b/src/main/java/net/minecraft/core/net/entity/entries/PlayerMPNetEntry.java
@@ -3,16 +3,16 @@ package net.minecraft.core.net.entity.entries;
 import net.minecraft.core.net.entity.IPacketEntry;
 import net.minecraft.core.net.entity.ITrackedEntry;
 import net.minecraft.core.net.packet.Packet;
-import net.minecraft.core.net.packet.Packet20NamedEntitySpawn;
+import net.minecraft.core.net.packet.AddPlayerPacket;
 import net.minecraft.server.entity.EntityTracker;
 import net.minecraft.server.entity.EntityTrackerEntry;
-import net.minecraft.server.entity.player.EntityPlayerMP;
+import net.minecraft.server.entity.player.ServerPlayer;
 import org.jetbrains.annotations.NotNull;
 
-public class PlayerMPNetEntry implements IPacketEntry<EntityPlayerMP>, ITrackedEntry<EntityPlayerMP> {
+public class PlayerMPNetEntry implements IPacketEntry<ServerPlayer>, ITrackedEntry<ServerPlayer> {
     @Override
-    public @NotNull Class<EntityPlayerMP> getAppliedClass() {
-        return EntityPlayerMP.class;
+    public @NotNull Class<ServerPlayer> getAppliedClass() {
+        return ServerPlayer.class;
     }
 
     @Override
@@ -31,7 +31,7 @@ public class PlayerMPNetEntry implements IPacketEntry<EntityPlayerMP>, ITrackedE
     }
 
     @Override
-    public void onEntityTracked(EntityTracker tracker, EntityTrackerEntry trackerEntry, EntityPlayerMP trackedObject) {
+    public void onEntityTracked(EntityTracker tracker, EntityTrackerEntry trackerEntry, ServerPlayer trackedObject) {
         for (EntityTrackerEntry entitytrackerentry : tracker.trackedEntitySet) {
             if (entitytrackerentry.trackedEntity != trackedObject) {
                 entitytrackerentry.updatePlayerEntity(trackedObject);
@@ -40,7 +40,7 @@ public class PlayerMPNetEntry implements IPacketEntry<EntityPlayerMP>, ITrackedE
     }
 
     @Override
-    public Packet getSpawnPacket(EntityTrackerEntry tracker, EntityPlayerMP trackedObject) {
-        return new Packet20NamedEntitySpawn(trackedObject);
+    public Packet getSpawnPacket(EntityTrackerEntry tracker, ServerPlayer trackedObject) {
+        return new AddPlayerPacket(trackedObject);
     }
 }
diff --git a/src/main/java/net/minecraft/core/net/entity/entries/SnowballNetEntry.java b/src/main/java/net/minecraft/core/net/entity/entries/SnowballNetEntry.java
index 946d33e55..bcc36c0da 100644
--- a/src/main/java/net/minecraft/core/net/entity/entries/SnowballNetEntry.java
+++ b/src/main/java/net/minecraft/core/net/entity/entries/SnowballNetEntry.java
@@ -1,19 +1,19 @@
 package net.minecraft.core.net.entity.entries;
 
 import net.minecraft.core.entity.Entity;
-import net.minecraft.core.entity.projectile.EntitySnowball;
+import net.minecraft.core.entity.projectile.SnowballProjectile;
 import net.minecraft.core.net.entity.ITrackedEntry;
 import net.minecraft.core.net.entity.IVehicleEntry;
-import net.minecraft.core.net.packet.Packet23VehicleSpawn;
+import net.minecraft.core.net.packet.AddEntityPacket;
 import net.minecraft.core.world.World;
 import net.minecraft.server.entity.EntityTracker;
 import net.minecraft.server.entity.EntityTrackerEntry;
 import org.jetbrains.annotations.NotNull;
 
-public class SnowballNetEntry implements IVehicleEntry<EntitySnowball>, ITrackedEntry<EntitySnowball> {
+public class SnowballNetEntry implements IVehicleEntry<SnowballProjectile>, ITrackedEntry<SnowballProjectile> {
     @Override
-    public @NotNull Class<EntitySnowball> getAppliedClass() {
-        return EntitySnowball.class;
+    public @NotNull Class<SnowballProjectile> getAppliedClass() {
+        return SnowballProjectile.class;
     }
 
     @Override
@@ -32,17 +32,17 @@ public class SnowballNetEntry implements IVehicleEntry<EntitySnowball>, ITracked
     }
 
     @Override
-    public void onEntityTracked(EntityTracker tracker, EntityTrackerEntry trackerEntry, EntitySnowball trackedObject) {
+    public void onEntityTracked(EntityTracker tracker, EntityTrackerEntry trackerEntry, SnowballProjectile trackedObject) {
 
     }
 
     @Override
     public Entity getEntity(World world, double x, double y, double z, int metadata, boolean hasVelocity, double xd, double yd, double zd, Entity owner) {
-        return new EntitySnowball(world, x, y, z);
+        return new SnowballProjectile(world, x, y, z);
     }
 
     @Override
-    public Packet23VehicleSpawn getSpawnPacket(EntityTrackerEntry tracker, EntitySnowball trackedObject) {
-        return new Packet23VehicleSpawn(trackedObject);
+    public AddEntityPacket getSpawnPacket(EntityTrackerEntry tracker, SnowballProjectile trackedObject) {
+        return new AddEntityPacket(trackedObject);
     }
 }
diff --git a/src/main/java/net/minecraft/core/net/entity/entries/SquidNetEntry.java b/src/main/java/net/minecraft/core/net/entity/entries/SquidNetEntry.java
index fab9a5cd7..e7c6450d7 100644
--- a/src/main/java/net/minecraft/core/net/entity/entries/SquidNetEntry.java
+++ b/src/main/java/net/minecraft/core/net/entity/entries/SquidNetEntry.java
@@ -1,12 +1,12 @@
 package net.minecraft.core.net.entity.entries;
 
-import net.minecraft.core.entity.animal.EntitySquid;
+import net.minecraft.core.entity.animal.SquidMob;
 import org.jetbrains.annotations.NotNull;
 
-public class SquidNetEntry extends AnimalNetEntry<EntitySquid>{
+public class SquidNetEntry extends AnimalNetEntry<SquidMob>{
     @Override
-    public @NotNull Class<EntitySquid> getAppliedClass() {
-        return EntitySquid.class;
+    public @NotNull Class<SquidMob> getAppliedClass() {
+        return SquidMob.class;
     }
 
     @Override
diff --git a/src/main/java/net/minecraft/core/net/entity/entries/TNTNetEntry.java b/src/main/java/net/minecraft/core/net/entity/entries/TNTNetEntry.java
index 8842f9e15..76d865504 100644
--- a/src/main/java/net/minecraft/core/net/entity/entries/TNTNetEntry.java
+++ b/src/main/java/net/minecraft/core/net/entity/entries/TNTNetEntry.java
@@ -1,19 +1,19 @@
 package net.minecraft.core.net.entity.entries;
 
 import net.minecraft.core.entity.Entity;
-import net.minecraft.core.entity.EntityTNT;
+import net.minecraft.core.entity.TNTPrimedEntity;
 import net.minecraft.core.net.entity.ITrackedEntry;
 import net.minecraft.core.net.entity.IVehicleEntry;
-import net.minecraft.core.net.packet.Packet23VehicleSpawn;
+import net.minecraft.core.net.packet.AddEntityPacket;
 import net.minecraft.core.world.World;
 import net.minecraft.server.entity.EntityTracker;
 import net.minecraft.server.entity.EntityTrackerEntry;
 import org.jetbrains.annotations.NotNull;
 
-public class TNTNetEntry implements IVehicleEntry<EntityTNT>, ITrackedEntry<EntityTNT> {
+public class TNTNetEntry implements IVehicleEntry<TNTPrimedEntity>, ITrackedEntry<TNTPrimedEntity> {
     @Override
-    public @NotNull Class<EntityTNT> getAppliedClass() {
-        return EntityTNT.class;
+    public @NotNull Class<TNTPrimedEntity> getAppliedClass() {
+        return TNTPrimedEntity.class;
     }
 
     @Override
@@ -32,17 +32,17 @@ public class TNTNetEntry implements IVehicleEntry<EntityTNT>, ITrackedEntry<Enti
     }
 
     @Override
-    public void onEntityTracked(EntityTracker tracker, EntityTrackerEntry trackerEntry, EntityTNT trackedObject) {
+    public void onEntityTracked(EntityTracker tracker, EntityTrackerEntry trackerEntry, TNTPrimedEntity trackedObject) {
 
     }
 
     @Override
     public Entity getEntity(World world, double x, double y, double z, int metadata, boolean hasVelocity, double xd, double yd, double zd, Entity owner) {
-        return new EntityTNT(world, x, y, z);
+        return new TNTPrimedEntity(world, x, y, z);
     }
 
     @Override
-    public Packet23VehicleSpawn getSpawnPacket(EntityTrackerEntry tracker, EntityTNT trackedObject) {
-        return new Packet23VehicleSpawn(trackedObject);
+    public AddEntityPacket getSpawnPacket(EntityTrackerEntry tracker, TNTPrimedEntity trackedObject) {
+        return new AddEntityPacket(trackedObject);
     }
 }
